Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4647)
@@ -57,4 +57,9 @@
       <DependentUpon>UserManagement.dbml</DependentUpon>
     </Compile>
+    <Compile Include="_HeuristicLab_AuthenticationDataSet.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTime>True</DesignTime>
+      <DependentUpon>_HeuristicLab_AuthenticationDataSet.xsd</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
@@ -68,4 +73,15 @@
       <LastGenOutput>UserManagement.designer.cs</LastGenOutput>
       <SubType>Designer</SubType>
+    </None>
+    <None Include="_HeuristicLab_AuthenticationDataSet.xsc">
+      <DependentUpon>_HeuristicLab_AuthenticationDataSet.xsd</DependentUpon>
+    </None>
+    <None Include="_HeuristicLab_AuthenticationDataSet.xsd">
+      <Generator>MSDataSetGenerator</Generator>
+      <LastGenOutput>_HeuristicLab_AuthenticationDataSet.Designer.cs</LastGenOutput>
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="_HeuristicLab_AuthenticationDataSet.xss">
+      <DependentUpon>_HeuristicLab_AuthenticationDataSet.xsd</DependentUpon>
     </None>
   </ItemGroup>
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/UserManagement.dbml
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/UserManagement.dbml	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/UserManagement.dbml	(revision 4647)
@@ -148,3 +148,100 @@
     <Return Type="System.Int32" />
   </Function>
+  <Function Name="dbo.aspnet_Users_CreateUser" Method="aspnet_Users_CreateUser">
+    <Parameter Name="ApplicationId" Parameter="applicationId" Type="System.Guid" DbType="UniqueIdentifier" />
+    <Parameter Name="UserName" Parameter="userName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="IsUserAnonymous" Parameter="isUserAnonymous" Type="System.Boolean" DbType="Bit" />
+    <Parameter Name="LastActivityDate" Parameter="lastActivityDate" Type="System.DateTime" DbType="DateTime" />
+    <Parameter Name="UserId" Parameter="userId" Type="System.Guid" DbType="UniqueIdentifier" Direction="InOut" />
+    <Return Type="System.Int32" />
+  </Function>
+  <Function Name="dbo.aspnet_UsersInRoles_AddUsersToRoles" Method="aspnet_UsersInRoles_AddUsersToRoles">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="UserNames" Parameter="userNames" Type="System.String" DbType="NVarChar(4000)" />
+    <Parameter Name="RoleNames" Parameter="roleNames" Type="System.String" DbType="NVarChar(4000)" />
+    <Parameter Name="CurrentTimeUtc" Parameter="currentTimeUtc" Type="System.DateTime" DbType="DateTime" />
+    <ElementType Name="aspnet_UsersInRoles_AddUsersToRolesResult">
+      <Column Name="Name" Type="System.String" DbType="NVarChar(256) NOT NULL" CanBeNull="false" />
+    </ElementType>
+  </Function>
+  <Function Name="dbo.aspnet_UsersInRoles_RemoveUsersFromRoles" Method="aspnet_UsersInRoles_RemoveUsersFromRoles">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="UserNames" Parameter="userNames" Type="System.String" DbType="NVarChar(4000)" />
+    <Parameter Name="RoleNames" Parameter="roleNames" Type="System.String" DbType="NVarChar(4000)" />
+    <ElementType Name="aspnet_UsersInRoles_RemoveUsersFromRolesResult">
+      <Column Name="" Member="Column1" Type="System.String" DbType="NVarChar(1) NOT NULL" CanBeNull="false" />
+      <Column Name="Name" Type="System.String" DbType="NVarChar(256) NOT NULL" CanBeNull="false" />
+    </ElementType>
+  </Function>
+  <Function Name="dbo.aspnet_UsersInRoles_IsUserInRole" Method="aspnet_UsersInRoles_IsUserInRole">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="UserName" Parameter="userName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="RoleName" Parameter="roleName" Type="System.String" DbType="NVarChar(256)" />
+    <Return Type="System.Int32" />
+  </Function>
+  <Function Name="dbo.aspnet_UsersInRoles_GetUsersInRoles" Method="aspnet_UsersInRoles_GetUsersInRoles">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="RoleName" Parameter="roleName" Type="System.String" DbType="NVarChar(256)" />
+    <ElementType Name="aspnet_UsersInRoles_GetUsersInRolesResult">
+      <Column Name="UserName" Type="System.String" DbType="NVarChar(256) NOT NULL" CanBeNull="false" />
+    </ElementType>
+  </Function>
+  <Function Name="dbo.aspnet_UsersInRoles_GetRolesForUser" Method="aspnet_UsersInRoles_GetRolesForUser">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="UserName" Parameter="userName" Type="System.String" DbType="NVarChar(256)" />
+    <ElementType Name="aspnet_UsersInRoles_GetRolesForUserResult">
+      <Column Name="RoleName" Type="System.String" DbType="NVarChar(256) NOT NULL" CanBeNull="false" />
+    </ElementType>
+  </Function>
+  <Function Name="dbo.aspnet_UsersInRoles_FindUsersInRole" Method="aspnet_UsersInRoles_FindUsersInRole">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="RoleName" Parameter="roleName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="UserNameToMatch" Parameter="userNameToMatch" Type="System.String" DbType="NVarChar(256)" />
+    <ElementType Name="aspnet_UsersInRoles_FindUsersInRoleResult">
+      <Column Name="UserName" Type="System.String" DbType="NVarChar(256) NOT NULL" CanBeNull="false" />
+    </ElementType>
+  </Function>
+  <Function Name="dbo.aspnet_Roles_CreateRole" Method="aspnet_Roles_CreateRole">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="RoleName" Parameter="roleName" Type="System.String" DbType="NVarChar(256)" />
+    <Return Type="System.Int32" />
+  </Function>
+  <Function Name="dbo.aspnet_Roles_DeleteRole" Method="aspnet_Roles_DeleteRole">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="RoleName" Parameter="roleName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="DeleteOnlyIfRoleIsEmpty" Parameter="deleteOnlyIfRoleIsEmpty" Type="System.Boolean" DbType="Bit" />
+    <Return Type="System.Int32" />
+  </Function>
+  <Function Name="dbo.aspnet_Applications_CreateApplication" Method="aspnet_Applications_CreateApplication">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="ApplicationId" Parameter="applicationId" Type="System.Guid" DbType="UniqueIdentifier" Direction="InOut" />
+    <Return Type="System.Int32" />
+  </Function>
+  <Function Name="dbo.aspnet_Roles_RoleExists" Method="aspnet_Roles_RoleExists">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="RoleName" Parameter="roleName" Type="System.String" DbType="NVarChar(256)" />
+    <Return Type="System.Int32" />
+  </Function>
+  <Function Name="dbo.aspnet_Roles_GetAllRoles" Method="aspnet_Roles_GetAllRoles">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <ElementType Name="aspnet_Roles_GetAllRolesResult">
+      <Column Name="RoleName" Type="System.String" DbType="NVarChar(256) NOT NULL" CanBeNull="false" />
+    </ElementType>
+  </Function>
+  <Function Name="dbo.aspnet_Membership_CreateUser" Method="aspnet_Membership_CreateUser">
+    <Parameter Name="ApplicationName" Parameter="applicationName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="UserName" Parameter="userName" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="Password" Parameter="password" Type="System.String" DbType="NVarChar(128)" />
+    <Parameter Name="PasswordSalt" Parameter="passwordSalt" Type="System.String" DbType="NVarChar(128)" />
+    <Parameter Name="Email" Parameter="email" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="PasswordQuestion" Parameter="passwordQuestion" Type="System.String" DbType="NVarChar(256)" />
+    <Parameter Name="PasswordAnswer" Parameter="passwordAnswer" Type="System.String" DbType="NVarChar(128)" />
+    <Parameter Name="IsApproved" Parameter="isApproved" Type="System.Boolean" DbType="Bit" />
+    <Parameter Name="CurrentTimeUtc" Parameter="currentTimeUtc" Type="System.DateTime" DbType="DateTime" />
+    <Parameter Name="CreateDate" Parameter="createDate" Type="System.DateTime" DbType="DateTime" />
+    <Parameter Name="UniqueEmail" Parameter="uniqueEmail" Type="System.Int32" DbType="Int" />
+    <Parameter Name="PasswordFormat" Parameter="passwordFormat" Type="System.Int32" DbType="Int" />
+    <Parameter Name="UserId" Parameter="userId" Type="System.Guid" DbType="UniqueIdentifier" Direction="InOut" />
+    <Return Type="System.Int32" />
+  </Function>
 </Database>
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/UserManagement.dbml.layout
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/UserManagement.dbml.layout	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataAccess/UserManagement.dbml.layout	(revision 4647)
@@ -1,19 +1,19 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<ordesignerObjectsDiagram dslVersion="1.0.0.0" absoluteBounds="0, 0, 11, 14.875" name="UserManagement">
+<ordesignerObjectsDiagram dslVersion="1.0.0.0" absoluteBounds="0, 0, 13.375, 11.75" name="UserManagement">
   <DataContextMoniker Name="/UserManagementDataContext" />
   <nestedChildShapes>
-    <classShape Id="ec805621-974f-4416-9b33-1f52c9efaa02" absoluteBounds="0.5, 0.5, 2, 1.5785953776041666">
+    <classShape Id="ec805621-974f-4416-9b33-1f52c9efaa02" absoluteBounds="1.875, 6, 2, 1.5785953776041666">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_Application" />
       <nestedChildShapes>
-        <elementListCompartment Id="d2f5e07d-74d6-4c49-808d-d6ea4f17d8fc" absoluteBounds="0.515, 0.96, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="d2f5e07d-74d6-4c49-808d-d6ea4f17d8fc" absoluteBounds="1.8899999999999997, 6.46, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <classShape Id="7dc71a3b-61f9-453c-8e9b-ebf950468436" absoluteBounds="3.625, 1.125, 2, 4.8477197265625">
+    <classShape Id="7dc71a3b-61f9-453c-8e9b-ebf950468436" absoluteBounds="4.625, 0.5, 2, 4.8477197265625">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_Membership" />
       <nestedChildShapes>
-        <elementListCompartment Id="4245b681-0b9d-40fd-bda3-b6fc3aadf805" absoluteBounds="3.64, 1.585, 1.9700000000000002, 4.2877197265625" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="4245b681-0b9d-40fd-bda3-b6fc3aadf805" absoluteBounds="4.6400000000000006, 0.96, 1.9700000000000002, 4.2877197265625" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(2.5 : 1.60179768880208); (2.66666666666667 : 1.60179768880208 : JumpStart); (2.83333333333333 : 1.60179768880208 : JumpEnd); (3.625 : 1.60179768880208)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(3.78125 : 6); (3.78125 : 2.56814697265625); (4.625 : 2.56814697265625)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_Application/aspnet_Application_aspnet_Membership" />
       <nodes>
@@ -22,11 +22,11 @@
       </nodes>
     </associationConnector>
-    <classShape Id="7343514d-b96d-43be-aac1-1642639dfda8" absoluteBounds="7.375, 1, 2, 1.5785953776041666">
+    <classShape Id="7343514d-b96d-43be-aac1-1642639dfda8" absoluteBounds="1.5, 3.125, 2, 1.5785953776041666">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_Path" />
       <nestedChildShapes>
-        <elementListCompartment Id="0b555909-5553-437e-8fb3-d8bb04dd2960" absoluteBounds="7.39, 1.46, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="0b555909-5553-437e-8fb3-d8bb04dd2960" absoluteBounds="1.5149999999999997, 3.585, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(2.5 : 1.03125); (2.66666666666667 : 1.03125 : JumpStart); (2.83333333333333 : 1.03125 : JumpEnd); (5.79166666666667 : 1.03125 : JumpStart); (5.95833333333333 : 1.03125 : JumpEnd); (7.375 : 1.03125)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(2.6875 : 6); (2.6875 : 4.70359537760417)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_Application/aspnet_Application_aspnet_Path" />
       <nodes>
@@ -35,11 +35,11 @@
       </nodes>
     </associationConnector>
-    <classShape Id="3b521864-bc4c-4283-8733-af46ed4fe8a7" absoluteBounds="0.5, 2.75, 2, 1.3862939453125">
+    <classShape Id="3b521864-bc4c-4283-8733-af46ed4fe8a7" absoluteBounds="1.625, 0.625, 2, 1.3862939453125">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_PersonalizationAllUser" />
       <nestedChildShapes>
-        <elementListCompartment Id="508a8e64-87d9-40bc-8fdb-f1cf0f62124c" absoluteBounds="0.515, 3.21, 1.9700000000000002, 0.8262939453125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="508a8e64-87d9-40bc-8fdb-f1cf0f62124c" absoluteBounds="1.6400000000000001, 1.085, 1.9700000000000002, 0.8262939453125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(7.375 : 1.83617468880208); (5.875 : 1.83617468880208); (5.875 : 0.625); (2.75 : 0.625); (2.75 : 2.32859537760417); (1.5 : 2.32859537760417); (1.5 : 2.75)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(3.05292168109001 : 3.125); (3.05292168109001 : 2.0112939453125)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_Path/aspnet_Path_aspnet_PersonalizationAllUser" />
       <nodes>
@@ -48,11 +48,11 @@
       </nodes>
     </associationConnector>
-    <classShape Id="5013ff3a-8cce-4550-ac77-e9cee0ddc9ba" absoluteBounds="7.75, 3.875, 2, 1.7708968098958331">
+    <classShape Id="5013ff3a-8cce-4550-ac77-e9cee0ddc9ba" absoluteBounds="11.125, 1.75, 2, 1.7708968098958331">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_PersonalizationPerUser" />
       <nestedChildShapes>
-        <elementListCompartment Id="3c2e4362-9781-4d55-af9c-599ad3861a16" absoluteBounds="7.765, 4.335, 1.9700000000000002, 1.2108968098958333" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="3c2e4362-9781-4d55-af9c-599ad3861a16" absoluteBounds="11.14, 2.21, 1.9700000000000002, 1.2108968098958333" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(8.9375 : 2.57859537760417); (8.9375 : 3.875)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(3.5 : 3.91429768880208); (4.375 : 3.91429768880208); (4.375 : 5.5977197265625); (7.875 : 5.5977197265625); (7.875 : 3.875); (12.39062575 : 3.875); (12.39062575 : 3.52089680989583)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_Path/aspnet_Path_aspnet_PersonalizationPerUser" />
       <nodes>
@@ -61,17 +61,17 @@
       </nodes>
     </associationConnector>
-    <classShape Id="86d1546c-0a9b-4dd7-844e-6eb30600f1b2" absoluteBounds="0.5, 5, 2, 1.7708968098958331">
+    <classShape Id="86d1546c-0a9b-4dd7-844e-6eb30600f1b2" absoluteBounds="8, 0.5, 2, 1.7708968098958331">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_Profile" />
       <nestedChildShapes>
-        <elementListCompartment Id="75b89f84-1a81-4940-8c47-c3935a3bc84d" absoluteBounds="0.515, 5.46, 1.9700000000000002, 1.2108968098958333" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="75b89f84-1a81-4940-8c47-c3935a3bc84d" absoluteBounds="8.015, 0.96, 1.9700000000000002, 1.2108968098958333" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <classShape Id="833e2796-ac5a-4a62-b3a1-6cfd97c9a7b1" absoluteBounds="8, 6.375, 2, 1.7708968098958331">
+    <classShape Id="833e2796-ac5a-4a62-b3a1-6cfd97c9a7b1" absoluteBounds="3.625, 9, 2, 1.7708968098958331">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_Role" />
       <nestedChildShapes>
-        <elementListCompartment Id="4ebc7fb9-2342-4359-950b-d59908adb887" absoluteBounds="8.015, 6.835, 1.9700000000000002, 1.2108968098958333" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="4ebc7fb9-2342-4359-950b-d59908adb887" absoluteBounds="3.6400000000000006, 9.46, 1.9700000000000002, 1.2108968098958333" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(2.5 : 0.78125); (9.90625 : 0.78125); (9.90625 : 6.375)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(2.7499995 : 7.57859537760417); (2.7499995 : 9.88544840494792); (3.625 : 9.88544840494792)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_Application/aspnet_Application_aspnet_Role" />
       <nodes>
@@ -80,17 +80,17 @@
       </nodes>
     </associationConnector>
-    <classShape Id="da1e6fa8-2149-42f4-a56c-f492cd62deb6" absoluteBounds="5, 6.75, 2, 1.3862939453125">
+    <classShape Id="da1e6fa8-2149-42f4-a56c-f492cd62deb6" absoluteBounds="6.625, 10.125, 2, 1.3862939453125">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_SchemaVersion" />
       <nestedChildShapes>
-        <elementListCompartment Id="7a2a020f-f4bb-490e-9a84-81f0f66b5e68" absoluteBounds="5.015, 7.21, 1.9700000000000002, 0.8262939453125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="7a2a020f-f4bb-490e-9a84-81f0f66b5e68" absoluteBounds="6.6400000000000006, 10.585, 1.9700000000000002, 0.8262939453125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <classShape Id="6bceff2f-2d6b-4f24-b50d-2296ff7f62c3" absoluteBounds="0.75, 8.25, 2, 2.1554996744791666">
+    <classShape Id="6bceff2f-2d6b-4f24-b50d-2296ff7f62c3" absoluteBounds="8.125, 4.125, 2, 2.1554996744791666">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_User" />
       <nestedChildShapes>
-        <elementListCompartment Id="bf2f1444-f051-4d39-9055-c21643a53875" absoluteBounds="0.76500000000000012, 8.71, 1.9700000000000002, 1.5954996744791665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="bf2f1444-f051-4d39-9055-c21643a53875" absoluteBounds="8.14, 4.5850000000000009, 1.9700000000000002, 1.5954996744791665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(2.65625 : 8.25); (2.65625 : 4.56814697265625); (3.04166666666667 : 4.56814697265625 : JumpStart); (3.20833333333333 : 4.56814697265625 : JumpEnd); (3.625 : 4.56814697265625)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(8.125 : 4.73635986328125); (6.625 : 4.73635986328125)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_User/aspnet_User_aspnet_Membership" />
       <nodes>
@@ -99,5 +99,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(2.75 : 9.32774983723958); (3.54166666666667 : 9.32774983723958 : JumpStart); (3.70833333333333 : 9.32774983723958 : JumpEnd); (7.84375 : 9.32774983723958); (7.84375 : 5.64589680989583)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(10.125 : 5.20274983723958); (11.5937475 : 5.20274983723958); (11.5937475 : 3.52089680989583)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_User/aspnet_User_aspnet_PersonalizationPerUser" />
       <nodes>
@@ -106,5 +106,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(1.625 : 8.25); (1.625 : 6.77089680989583)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(9.0625 : 4.125); (9.0625 : 2.27089680989583)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_User/aspnet_User_aspnet_Profile" />
       <nodes>
@@ -113,5 +113,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(2.5 : 2.07859537760417); (3.125 : 2.70359537760417); (3.125 : 7.875); (2.75 : 8.25153746153846)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(3.875 : 6.96080002604167); (9.2500025 : 6.96080002604167); (9.2500025 : 6.28049967447917)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_Application/aspnet_Application_aspnet_User" />
       <nodes>
@@ -120,11 +120,11 @@
       </nodes>
     </associationConnector>
-    <classShape Id="a25c9c99-735f-4294-aabd-ba04c3f98575" absoluteBounds="1.25, 12.375, 2, 1.1939925130208333">
+    <classShape Id="a25c9c99-735f-4294-aabd-ba04c3f98575" absoluteBounds="6.5, 8.25, 2, 1.1939925130208333">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_UsersInRole" />
       <nestedChildShapes>
-        <elementListCompartment Id="f223e83f-c7c9-4564-8465-9e039f273520" absoluteBounds="1.2650000000000001, 12.835, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="f223e83f-c7c9-4564-8465-9e039f273520" absoluteBounds="6.5150000000000006, 8.71, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(8 : 8.14589680989583); (7.90267556509888 : 8.24322124479695 : JumpStart); (7.78482443490112 : 8.36107237499471 : JumpEnd); (7.625 : 8.52089680989583); (3.625 : 8.52089680989583); (3.625 : 12); (3.25 : 12.375)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(5.625 : 9.22199625651042); (6.5 : 9.22199625651042)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_Role/aspnet_Role_aspnet_UsersInRole" />
       <nodes>
@@ -133,5 +133,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(2 : 10.4054996744792); (2 : 12.375)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(8.3125 : 6.28049967447917); (8.3125 : 8.25)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/UserManagementDataContext/aspnet_User/aspnet_User_aspnet_UsersInRole" />
       <nodes>
@@ -140,8 +140,8 @@
       </nodes>
     </associationConnector>
-    <classShape Id="c85c3936-32dd-417e-a0af-7a03fb14cc36" absoluteBounds="7.375, 10.875, 2, 3.6939111328124996">
+    <classShape Id="c85c3936-32dd-417e-a0af-7a03fb14cc36" absoluteBounds="10.25, 7.375, 2, 3.6939111328124996">
       <DataClassMoniker Name="/UserManagementDataContext/aspnet_WebEvent_Event" />
       <nestedChildShapes>
-        <elementListCompartment Id="6a3d388c-ec23-47c6-a139-35716577f2d8" absoluteBounds="7.39, 11.335, 1.9700000000000002, 3.1339111328125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="6a3d388c-ec23-47c6-a139-35716577f2d8" absoluteBounds="10.265, 7.8350000000000009, 1.9700000000000002, 3.1339111328125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Membership.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Membership.cs	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Membership.cs	(revision 4647)
@@ -15,6 +15,6 @@
         // [DataMember]
         //  public string PasswordFormat { get; set; }
-        //  [DataMember]
-        //  public string PasswordSalt { get; set; }
+          [DataMember]
+          public string PasswordSalt { get; set; }
         // [DataMember]
         // public string MobilePIN { get; set; }
@@ -23,8 +23,8 @@
         [DataMember]
         public string LoweredEmail { get; set; }
-        //  [DataMember]
-        //  public string PasswordQuestion { get; set; }
-        //  [DataMember]
-        //  public string PasswordAnswer { get; set; }
+        [DataMember]
+        public string PasswordQuestion { get; set; }
+        [DataMember]
+        public string PasswordAnswer { get; set; }
         [DataMember]
         public bool IsApproved { get; set; }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs	(revision 4647)
@@ -10,5 +10,25 @@
     public class User
     {
-        
+
+        [DataMember]
+        public Membership Membership { get; set; }
+        [DataMember]
+        public string Email
+        {
+            get { return Membership.Email; }
+            set { Membership.Email = value; }
+        }
+        [DataMember]
+        public string Password
+        {
+            get { return Membership.Password; }
+            set { Membership.Password = value; }
+        }
+        [DataMember]
+        public string PasswordQuestion
+        {
+            get { return Membership.PasswordQuestion; }
+            set { this.Membership.PasswordQuestion = value; }
+        }
         [DataMember]
         public Guid ApplicationId { get; set; }
Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/HeuristicLab.Services.Authentication.TestClient.csproj
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/HeuristicLab.Services.Authentication.TestClient.csproj	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/HeuristicLab.Services.Authentication.TestClient.csproj	(revision 4647)
@@ -35,6 +35,8 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Services.Authentication.DataAccess, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL" />
     <Reference Include="System" />
     <Reference Include="System.Core" />
+    <Reference Include="System.Data.Linq" />
     <Reference Include="System.Data.Services.Client" />
     <Reference Include="System.Drawing" />
@@ -48,18 +50,6 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="RoleDetail.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="RoleDetail.Designer.cs">
-      <DependentUpon>RoleDetail.cs</DependentUpon>
-    </Compile>
     <Compile Include="TestClient.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="UserDetail.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="UserDetail.Designer.cs">
-      <DependentUpon>UserDetail.cs</DependentUpon>
-    </Compile>
     <Compile Include="UserManagement.cs">
       <SubType>Form</SubType>
@@ -80,10 +70,4 @@
   </ItemGroup>
   <ItemGroup>
-    <EmbeddedResource Include="RoleDetail.resx">
-      <DependentUpon>RoleDetail.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="UserDetail.resx">
-      <DependentUpon>UserDetail.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="UserManagement.resx">
       <DependentUpon>UserManagement.cs</DependentUpon>
